Loading...
Searching...
No Matches
coap_mem.c File Reference

Memory handling functions. More...

`#include "coap3/coap_libcoap_build.h"`
Include dependency graph for coap_mem.c:

Go to the source code of this file.

## Macros

#define | MAKE_CASE(n)

## Functions

void | coap_dump_memory_type_counts (coap_log_t level)
| Dumps the current usage of malloc'd memory types.

## Detailed Description

Memory handling functions.

Definition in file coap_mem.c.

## Macro Definition Documentation

## MAKE_CASE

#define MAKE_CASE | ( |  | n | ) |

Value:
case n: name = #n; break

Definition at line 667 of file coap_mem.c.

## Function Documentation

## coap_dump_memory_type_counts()

void coap_dump_memory_type_counts | ( | coap_log_t | log_level | ) |

Dumps the current usage of malloc'd memory types.

Requires COAP_MEMORY_TYPE_TRACK to be defined to 1.

Parameters

  log_level | The logging level to use.

Definition at line 669 of file coap_mem.c.

Here is the caller graph for this function: